Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.widgets
Class DateTime

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.widgets.DateTime

All Implemented Interfaces:
  Adaptable, Drawable

public class DateTime
extends Composite

Instances of this class are selectable user interface objects that allow the user to enter and modify date or time values.

Note that although this class is a subclass of `Composite`, it does not make sense to add children to it, or set a layout on it.

Styles:
  DATE, TIME, CALENDAR, SHORT, MEDIUM, LONG, DROP_DOWN
Events:
  Selection

Note: Only one of the styles DATE, TIME, or CALENDAR may be specified, and only one of the styles SHORT, MEDIUM, or LONG may be specified. The DROP_DOWN style is a HINT, and it is only valid with the DATE style.

IMPORTANT: This class is not intended to be subclassed.

Since:
  1.1.1

Constructor Summary
`DateTime(Composite parent, int style)` Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

Method Summary
`void` `addSelectionListener(SelectionListener listener)` Adds the listener to the collection of listeners who will be notified when the control is selected by the user, by sending it one of the messages defined in the `SelectionListener` interface.
`Point` `computeSize(int wHint, int hHint, boolean changed)` Returns the preferred size of the receiver.
`java.lang.Object` `getAdapter(java.lang.Class adapter)` Implementation of the `Adaptable` interface.
`int` `getDay()` Returns the receiver's date, or day of the month.
`int` `getHours()` Returns the receiver's hours.
`int` `getMinutes()` Returns the receiver's minutes.
`int` `getMonth()` Returns the receiver's month.
`int` `getSeconds()` Returns the receiver's seconds.
`int` `getYear()` Returns the receiver's year.
`void` `removeSelectionListener(SelectionListener listener)` Removes the listener from the collection of listeners who will be notified when the control is selected by the user.
`void` `setBounds(Rectangle bounds)` Sets the receiver's size and location to the rectangular area specified by the argument.
`void` `setDate(int year, int month, int day)` Sets the receiver's year, month, and day in a single operation.
`void` `setDay(int day)` Sets the receiver's date, or day of the month, to the specified day.
`void` `setFont(Font font)` Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void` `setHours(int hours)` Sets the receiver's hours.
`void` `setMinutes(int minutes)` Sets the receiver's minutes.
`void` `setMonth(int month)` Sets the receiver's month.
`void` `setSeconds(int seconds)` Sets the receiver's seconds.
`void` `setTime(int hours, int minutes, int seconds)` Sets the receiver's hours, minutes, and seconds in a single operation.
`void` `setYear(int year)` Sets the receiver's year.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addTouchListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getShell, getSize, getToolTipText, getTouchEnabled, getVisible, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeTouchListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setCursor, setEnabled, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setSize, setSize, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkSubclass, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateTime

    public DateTime(Composite parent,
                    int style)

  Constructs a new instance of this class given its parent and a style value describing its behavior and appearance.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT.DATE`, `SWT.TIME`, `SWT.CALENDAR`, `Widget.checkSubclass()`, `Widget.getStyle()`

Method Detail

### addSelectionListener

    public void addSelectionListener(SelectionListener listener)

  Adds the listener to the collection of listeners who will be notified when the control is selected by the user, by sending it one of the messages defined in the `SelectionListener` interface.

  `widgetSelected` is called when the user changes the control's value. `widgetDefaultSelected` is not called.

  Parameters:
    `listener` - the listener which should be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `removeSelectionListener(org.eclipse.swt.events.SelectionListener)`, `SelectionEvent`

### removeSelectionListener

    public void removeSelectionListener(SelectionListener listener)

  Removes the listener from the collection of listeners who will be notified when the control is selected by the user.

  Parameters:
    `listener` - the listener which should no longer be notified
  Throws:
    `java.lang.IllegalArgumentException` -
    - ERROR_NULL_ARGUMENT - if the listener is null
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  See Also:
    `SelectionListener`, `addSelectionListener(org.eclipse.swt.events.SelectionListener)`

### getHours

    public int getHours()

  Returns the receiver's hours.

  Hours is an integer between 0 and 23.

  Returns:
    an integer between 0 and 23
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getMinutes

    public int getMinutes()

  Returns the receiver's minutes.

  Minutes is an integer between 0 and 59.

  Returns:
    an integer between 0 and 59
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getSeconds

    public int getSeconds()

  Returns the receiver's seconds.

  Seconds is an integer between 0 and 59.

  Returns:
    an integer between 0 and 59
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getDay

    public int getDay()

  Returns the receiver's date, or day of the month.

  The first day of the month is 1, and the last day depends on the month and year.

  Returns:
    a positive integer beginning with 1
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getMonth

    public int getMonth()

  Returns the receiver's month.

  The first month of the year is 0, and the last month is 11.

  Returns:
    an integer between 0 and 11
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getYear

    public int getYear()

  Returns the receiver's year.

  The first year is 1752 and the last year is 9999.

  Returns:
    an integer between 1752 and 9999
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setHours

    public void setHours(int hours)

  Sets the receiver's hours.

  Hours is an integer between 0 and 23.

  Parameters:
    `hours` - an integer between 0 and 23
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setMinutes

    public void setMinutes(int minutes)

  Sets the receiver's minutes.

  Minutes is an integer between 0 and 59.

  Parameters:
    `minutes` - an integer between 0 and 59
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setSeconds

    public void setSeconds(int seconds)

  Sets the receiver's seconds.

  Seconds is an integer between 0 and 59.

  Parameters:
    `seconds` - an integer between 0 and 59
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setDay

    public void setDay(int day)

  Sets the receiver's date, or day of the month, to the specified day.

  The first day of the month is 1, and the last day depends on the month and year.

  Parameters:
    `day` - a positive integer beginning with 1
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setMonth

    public void setMonth(int month)

  Sets the receiver's month.

  The first month of the year is 0, and the last month is 11.

  Parameters:
    `month` - an integer between 0 and 11
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setYear

    public void setYear(int year)

  Sets the receiver's year.

  The first year is 1752 and the last year is 9999.

  Parameters:
    `year` - an integer between 1752 and 9999
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setDate

    public void setDate(int year,
                        int month,
                        int day)

  Sets the receiver's year, month, and day in a single operation.

  This is the recommended way to set the date, because setting the year, month, and day separately may result in invalid intermediate dates.

  Parameters:
    `year` - an integer between 1752 and 9999
    `month` - an integer between 0 and 11
    `day` - a positive integer beginning with 1
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.2

### setTime

    public void setTime(int hours,
                        int minutes,
                        int seconds)

  Sets the receiver's hours, minutes, and seconds in a single operation.

  Parameters:
    `hours` - an integer between 0 and 23
    `minutes` - an integer between 0 and 59
    `seconds` - an integer between 0 and 59
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    1.2

### setFont

    public void setFont(Font font)

  Description copied from class: `Control`
  Sets the font that the receiver will use to paint textual information to the font specified by the argument, or to the default font for that kind of control if the argument is null.

  Overrides:
    `setFont` in class `Control`
  Parameters:
    `font` - the new font (or null)

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Description copied from class: `Widget`
  Implementation of the `Adaptable` interface.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

  Specified by:
    `getAdapter` in interface `Adaptable`
  Overrides:
    `getAdapter` in class `Composite`

### computeSize

    public Point computeSize(int wHint,
                             int hHint,
                             boolean changed)

  Description copied from class: `Control`
  Returns the preferred size of the receiver.

  The preferred size of a control is the size that it would best be displayed at. The width hint and height hint arguments allow the caller to ask a control questions such as "Given a particular width, how high does the control need to be to show all of the contents?" To indicate that the caller does not wish to constrain a particular dimension, the constant `SWT.DEFAULT` is passed for the hint.

  If the changed flag is `true`, it indicates that the receiver's contents have changed, therefore any caches that a layout manager containing the control may have been keeping need to be flushed. When the control is resized, the changed flag will be `false`, so layout manager caches can be retained.

  Overrides:
    `computeSize` in class `Composite`

### setBounds

    public void setBounds(Rectangle bounds)

  Description copied from class: `Control`
  Sets the receiver's size and location to the rectangular area specified by the argument. The `x` and `y` fields of the rectangle are relative to the receiver's parent (or its display if its parent is null).

  Note: Attempting to set the width or height of the receiver to a negative number will cause that value to be set to zero instead.

  Overrides:
    `setBounds` in class `Control`
  Parameters:
    `bounds` - the new bounds for the receiver

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.